List subscription plans
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "name" (string)
Not equal filter for "name" (string)
Contains filter for "name"
Does not contain filter for "name"
Exact match for "reference_code" (string)
Not equal filter for "reference_code" (string)
Contains filter for "reference_code"
Does not contain filter for "reference_code"
Filter "reference_code" where the value is null. Pass literal true (for example reference_code[is_null]=true).
trueFilter "reference_code" where the value is not null. Pass literal true (for example reference_code[is_not_null]=true).
trueExact match for "billing_interval" (string)
Not equal filter for "billing_interval" (string)
Contains filter for "billing_interval"
Does not contain filter for "billing_interval"
Exact match for "billing_interval_count" (number)
Not equal filter for "billing_interval_count" (number)
Greater than filter for "billing_interval_count" (number)
Greater than or equal filter for "billing_interval_count" (number)
Less than filter for "billing_interval_count" (number)
Less than or equal filter for "billing_interval_count" (number)
Exact match for "is_blocked" (boolean)
Not equal filter for "is_blocked" (boolean)
Exact match for "product_id" (string)
Not equal filter for "product_id" (string)
Contains filter for "product_id"
Does not contain filter for "product_id"
Exact match for "created_at" (ISO 8601 datetime)
Not equal filter for "created_at" (ISO 8601 datetime)
Greater than filter for "created_at" (ISO 8601 datetime)
Greater than or equal filter for "created_at" (ISO 8601 datetime)
Less than filter for "created_at" (ISO 8601 datetime)
Less than or equal filter for "created_at" (ISO 8601 datetime)
Exact match for "updated_at" (ISO 8601 datetime)
Not equal filter for "updated_at" (ISO 8601 datetime)
Greater than filter for "updated_at" (ISO 8601 datetime)
Greater than or equal filter for "updated_at" (ISO 8601 datetime)
Less than filter for "updated_at" (ISO 8601 datetime)
Less than or equal filter for "updated_at" (ISO 8601 datetime)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/subscription-plans"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"reference_code": "string",
"name": "string",
"description": "string",
"billing_interval": "day",
"billing_interval_count": 0,
"amount": "string",
"currency": "string",
"trial_period_days": 0,
"is_blocked": true,
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"status_code": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
